package compiler

import (
	"git.akyoto.dev/cli/q/src/core"
	"git.akyoto.dev/cli/q/src/dll"
)

// Result contains everything we need to write an executable file to disk.
type Result struct {
	Init             *core.Function
	Main             *core.Function
	Functions        map[string]*core.Function
	Traversed        map[*core.Function]bool
	InstructionCount int
	DataCount        int
	Code             []byte
	Data             []byte
	DLLs             dll.List
}
